sip-dig(1)

NAME
sip-dig - .TH "sip-dig" 1 "Fri Mar 11 2011" "Version 1.12.11" "sofia-sip-utils"

NAME
sip-dig - This is an example program for sresolv library in synchronous mode.

Author:
    Pekka Pessi <Pekka.Pessi@nokia.com>

Date:
    Original Created: Tue Jul 16 18:50:14 2002 ppessi

Synopsis

sip-dig [OPTIONS] uri...

Description

The sip-dig utility resolves SIP URIs as described in RFC 3263. It queries NAPTR, SRV and A/AAAA records and prints out the resulting transport addresses.

The default transports are: UDP, TCP, SCTP, TLS and TLS-SCTP. The SIPS URIs are resolved using only TLS transports, TLS and TLS-SCTP. If not otherwise indicated by NAPTR or SRV records, the sip-dig uses UDP and TCP as transports for SIP and TLS for SIPS URIs.

The results are printed intended, with a preference followed by weight, then protocol name, port number and IP address in numeric format.

Command Line Options

The sip-dig utility accepts following command line options:

-p protoname
    Use named transport protocol. The protoname can be either well-known, e.g., 'udp', or it can specify NAPTR service and SRV identifier, e.g., 'tls-udp/SIPS+D2U/_sips._udp.'.

--udp
    Use UDP transport protocol.

--tcp
    Use TCP transport protocol.

--tls
    Use TLS over TCP transport protocol.

--sctp
    Use SCTP transport protocol.

--tls-sctp
    Use TLS over SCTP transport protocol.

--no-sctp
    Ignore SCTP or TLS-SCTP records in the list of default transports. This option has no effect if transport protocols has been explicitly listed.

-4  Query IP4 addresses (A records)

-6  Query IP6 addresses (AAAA records).

-v  Be verbatim.

Return Codes

0when successful (a 2XX-series response is received) 1when unsuccessful (a 3XX..6XX-series response is received) 2initialization failure

Examples

Resolve sip:openlaboratory.net, prefer TLS over TCP, TCP over UDP:

 $ sip-dig --tls --tcp --udp sip:openlaboratory.net
        1 0.333 tls 5061 212.213.221.127
        2 0.333 tcp 5060 212.213.221.127
        3 0.333 udp 5060 212.213.221.127

Resolve sips:example.net with TLS over SCTP (TLS-SCTP) and TLS:

 $ sip-dig -p tls-sctp --tls sips:example.net
        1 0.500 tls-udp 5061 172.21.55.26
        2 0.500 tls 5061 172.21.55.26

Environment

SRESOLV_DEBUG, SRESOLV_CONF

Reporting Bugs

Report bugs to <sofia-sip-devel@lists.sourceforge.net>.

Author

Written by Pekka Pessi <pekka -dot pessi -at- nokia -dot- com>

Copyright

Copyright (C) 2006 Nokia Corporation.

This program is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.